.container-1{
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: auto auto auto 1fr;
    grid-template-areas:
        "header"
        "buttons"
        "canvas"
        "result"
    ;
    height: 100%;
}

header {
    display: grid;
    grid-template-columns: 0.9fr auto;
    grid-area: header;
    background-color: #58708d;
}

header h1 {
    color: white;
    padding: 20px;
}

header a {
    align-self: center;
    justify-self: center;
}

#github-logo {
    width: 40px;
    height: 40px;
}

#github-logo:hover {
    background-color: rgb(255, 255, 255);
    border-radius: 50%;
    padding: 1px;
    transform: scale(1.3);
}

.buttons {
    grid-area: buttons;
    text-align: center;
    padding-top: 10px;
    padding-bottom: 20px;
}

.btn {
    border-radius: 9999px;
}

.btn:focus {
    outline: none;
    box-shadow: none;
}

.result {
    grid-area: result;
    padding-left: 5px;
    border-top: 3px solid lightgray;
}

.canvas {
    grid-area: canvas;
    display: grid;
    grid-template-rows: 1fr auto auto;
    grid-template-areas:
        "tree"
        "playback"
        "calculations"
    ;
    border-top: 3px solid lightgray;
}

.canvas .tree {
    grid-area: tree;
}

.canvas .playback {
    grid-area: playback;
    justify-content: space-evenly;
    padding: 10px;
}

.canvas .calculations {
    grid-area: calculations;
    padding-left: 5px;
    padding-top: 10px;
}

#cy {
    width: 100%;
    height: 50vh;
    border: 2px solid gray;
}


@media (min-width: 800px) {
    .container-1 {
        grid-template-columns: 1fr 3fr;
        grid-template-rows: auto auto 1fr;
        grid-template-areas:
            "header header"
            "buttons canvas"
            "result canvas";
        height: 100vh;
    }

    .canvas {
        grid-template-columns: 1.5fr 1fr;
        grid-template-rows: 3fr 1fr;
        grid-template-areas:
            "tree calculations"
            "playback calculations"
        ;
    }

    .buttons {
        border: 3px solid lightgray;
        border-bottom: none;
    }

    .result {
        border-left: 3px solid lightgray;
        border-right: 3px solid lightgray;
    }

    .canvas .calculations {
        padding-top: 0px;
    }

    .canvas .playback {
        padding: 0;
    }

    .canvas .playback #resume-btn {
        margin-left: 3rem;
    }

    .canvas .playback #pause-btn {
        margin-right: 2rem;
    }

    #aniSpeedSlider {
        margin-left: 2rem;
    }

    #cy {
        height: 70vh;
        width: 50vw;
    }

}